@import 'variables.scss';

* {
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
    font-size: 1.5rem;
}
.navbar {
  z-index:1;
}
body {
  padding-top: 5vh;
}
//skeleton preload
 .skeleton {
   background-color: $lightergrey;
   position: absolute;
   top:0;
   width: 100%;
   height:100vh;
   z-index:2;
   transition: opacity 1s ease;
   &-nav {
    background-color: rgb(224, 224, 224);
    width: 100%;
    height: 70px;
    z-index: 3;
    &-items {
      border-radius: $border-radius;
      margin: 1em;
      list-style: none;
      content:'';
      position: relative;
      width: 80px;
      height: 30px;
      background-color: $darkgrey;
      @include shine;
      z-index: 4;
    }
   }
   &-header {
    border-radius: $border-radius;
    background-color: $lightgrey;
    @include shine;
     margin-top:2em;
     margin-bottom: 2em;
     margin-left: auto;
     margin-right: auto;
     height: 100px;
     width: 60%;
   }
   &-page {
     margin: 0 auto;
     width: 90%;
     height: 50%;
     &-card {
      border-radius: $border-radius;
       background-color:$lightgrey;
       width: 200px;
       height: 250px;
       @include shine;
    }
   }
 }
 .skeleton-finish {
  height: 100vh;
  max-width: 100%;
  opacity: 0;
  pointer-events: none;
  transition: opacity 1s ease;
 }
 @keyframes shine {
  0% {
    background-position: -100vw;    
  }
  100% {
    background-position: 100vw;   
  }
}

  
.background{
    height: 100%;
    background: url(https://www.ecopetit.cat/wpic/mpic/359-3592398_restaurant-hd-wallpapers-high-resolution-restaurant-background.jpg);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    opacity: .9;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: fixed;
    z-index: -1;   
  }

.bg-white {
    -webkit-box-shadow: 10px 10px 90px 2px rgba(0,0,0,0.75);
    -moz-box-shadow: 10px 10px 90px 2px rgba(0,0,0,0.75);
    box-shadow: 10px 10px 90px 2px rgba(0,0,0,0.75);
}
.navbar {
  z-index:2;
}
#navbar-header{
  transition: height .5s ease-in-out;
}
.title-header {
  position: absolute;
  top: .2em;
  right: .2em;
}

a {
  text-decoration: none;
    color: inherit;
}
a:hover {
    color: inherit;
    text-decoration: none;
}
.carousel.carousel-fade .carousel-item {
    font-size: .8em;
    display: block;
    opacity: 0;
    transition-duration: 2s;
    transition: opacity ease-out .7s;
}

.carousel.carousel-fade .carousel-item.active {
    opacity: 1 !important;
}
.menu {
  animation: slide-up 1s ease;
  cursor: pointer;
}
.menu img {
	transform: scale(1);
transition: .3s ease-in-out;
    
}
a img {
  transform: scale(1);
  transition: .3s ease-in-out;
}
.img-container {
  overflow:hidden;
}
a {
  img:hover {
    transform: scale(1.5);
  }
}
.img-container:hover img{
  transform: scale(1.4);
} 

@keyframes slide-up {
  0% {
      opacity: 0;
      transform: translateY(20px);
  }
  100% {
      opacity: 1;
      transform: translateY(0);
  }
}

.card {
    -webkit-box-shadow: 5px 0px 44px -14px rgba(0,0,0,0.75);
-moz-box-shadow: 5px 0px 44px -14px rgba(0,0,0,0.75);
box-shadow: 5px 0px 44px -14px rgba(0,0,0,0.75);
}